Subject: RE: [Ltru] John Cowan's substantive commentsondraft-ietf-ltru-registry-01

From: "Addison Phillips" <[email-masked]>
Date: Thu, 7 Apr 2005 10:26:17 -0700

> > 2. Should it be an (ASCII) URI? In other words, how should IDN's be
> handled?
> 
> URIs are ASCII by definition.  I am not proposing an IRI.

You're not, but it is rapidly becoming reflexive for me to do so (he said, nudging his W3C chair's hat back and then switching to the editor's hat). How about if I put in the appropriate reference to Section 3.1 of RFC 3987 (that is, requiring that non-ASCII values in an IRI be mapped to a URI according to the rules therein and not for example using some other random legacy encoding, etc.)?

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: John Cowan [mailto:[email-masked]]
> Sent: jeudi 7 avril 2005 10:14
> To: Addison Phillips
> Cc: Mark Davis; [email-masked]
> Subject: Re: [Ltru] John Cowan's substantive commentsondraft-ietf-ltru-
> registry-01
> 
> Addison Phillips scripsit:
> 
> > Okay by me, but I'd prefer not to do this. It doesn't add anything
> > substantial either. Why make a few implementations that emit tags in
> > one case or another non-canonical?
> 
> The point of canonicalization is to get rid of meaningless differences.
> Case
> is a meaningless difference.  Let's get rid of it.  Implementations that
> prefer not to smash case need not claim their tags are canonical.
> 
> > Ditto. Notice that by putting a stake in the ground we can make
> progress...
> 
> I have done so.
> 
> > I strongly prefer entities that are regular in
> > form. The entity &#xc0; is less obviously a Unicode value than the
> > entity &#x00C0;
> 
> It's pretty obvious to me.  But in that case, at least standardize on
> a fixed convention (at least four digits, five only if required, six
> only if required, say).
> 
> > Fine by me. Practical questions:
> >
> > 1. Should the email be obfuscated? (addison dot phillips at quest dot
> com??)
> 
> Up to the proposer, I'd say.
> 
> > 2. Should it be an (ASCII) URI? In other words, how should IDN's be
> handled?
> 
> URIs are ASCII by definition.  I am not proposing an IRI.
> 
> > 3. Reference is a text field naming documents. Should there be rules
> > for naming URIs? What other restrictions apply?
> 
> Typically references are to books in hard copy: grammars, dictionaries,
> etc.
> 
> > 4. Are the native name rules I have in the draft sufficient?
> 
> I think so.
> 
> --
> On the Semantic Web, it's too hard to prove     John Cowan
> [email-masked]
> you're not a dog.  --Bill de hOra               http://www.ccil.org/~cowan

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Fri, 08 Apr 2005 01:36:06 +0200

At 19:26 07/04/2005, Addison Phillips wrote:
>You're not, but it is rapidly becoming reflexive for me to do so

Here we are. At last.
jfc